{indicatorCode}: Get data for a specific indicator

API: azureedge.us:who-global-health-observatory
Endpoint: /{indicatorCode}
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 519ms

Description

Returns actual data values for a specific health indicator. This is the main endpoint for retrieving health statistics. Supports filtering by dimensions like country, year, sex, etc.

Parameters (5)

$filter (string, query, optional)

OData filter expression. Examples: Dim1 eq 'SEX_FMLE' (female only), SpatialDim eq 'USA' (specific country), TimeDim ge 2020 (year 2020+), contains(Value,'76')

$orderby (string, query, optional)

OData order by expression. Example: TimeDim desc (newest first)

$skip (integer, query, optional, default: 0)

Number of records to skip (for pagination)

$top (integer, query, optional, default: 100)

Maximum number of data records to return

indicatorCode (string, path, required)

The indicator code (e.g., WHOSIS_000001 for life expectancy at birth, WHOSIS_000002 for healthy life expectancy)

Examples (2)

Get data for a specific indicator openapi-spec
curl 'https://ghoapi.azureedge.net/api/WHOSIS_000001?%24filter=SpatialDim+eq+%27USA%27+and+TimeDim+ge+2015&%24top=100&%24orderby=TimeDim+desc&%24select=IndicatorCode%2CValue%2CTimeDim'
import requests

resp = requests.get(
    "https://ghoapi.azureedge.net/api/WHOSIS_000001",
    params={
        '$filter': "SpatialDim eq 'USA' and TimeDim ge 2015",
        '$top': '100',
        '$orderby': 'TimeDim desc',
        '$select': 'IndicatorCode,Value,TimeDim',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("who-global-health-observatory")
result = api.fetch("{indicatorCode}", $filter="SpatialDim eq 'USA' and TimeDim ge 2015", $top=100, $orderby="TimeDim desc", $select="IndicatorCode,Value,TimeDim")

for item in result:
    print(item)
const resp = await fetch("https://ghoapi.azureedge.net/api/WHOSIS_000001?%24filter=SpatialDim+eq+%27USA%27+and+TimeDim+ge+2015&%24top=100&%24orderby=TimeDim+desc&%24select=IndicatorCode%2CValue%2CTimeDim");
const data = await resp.json();
Get indicator data openapi-spec
curl 'https://ghoapi.azureedge.net/api/WHOSIS_000001?%24filter=SpatialDim+eq+%27USA%27+and+TimeDim+ge+2020&%24orderby=TimeDim+desc&%24top=100&%24skip=0'
import requests

resp = requests.get(
    "https://ghoapi.azureedge.net/api/WHOSIS_000001",
    params={
        '$filter': "SpatialDim eq 'USA' and TimeDim ge 2020",
        '$orderby': 'TimeDim desc',
        '$top': '100',
        '$skip': '0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("who-global-health-observatory")
result = api.fetch("{indicatorCode}", $filter="SpatialDim eq 'USA' and TimeDim ge 2020", $orderby="TimeDim desc", $top=100, $skip=0)

for item in result:
    print(item)
const resp = await fetch("https://ghoapi.azureedge.net/api/WHOSIS_000001?%24filter=SpatialDim+eq+%27USA%27+and+TimeDim+ge+2020&%24orderby=TimeDim+desc&%24top=100&%24skip=0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:53:12.701065 200 519ms
2026-04-16 02:37:41.013509 200 306ms
2026-04-15 04:12:31.803716 200 339ms
2026-04-15 03:21:56.894491 200 333ms
2026-04-14 02:38:02.604416 200 526ms
2026-04-14 01:14:51.553277 200 353ms
2026-04-12 14:09:51.644694 200 381ms
2026-04-12 13:06:06.780166 200 327ms
2026-04-10 02:50:57.359097 200 230ms
2026-04-10 00:56:16.658184 200 248ms
2026-04-09 01:17:57.065173 200 342ms
2026-04-09 00:05:21.943363 200 380ms
2026-04-08 01:41:23.980288 200 335ms
2026-04-08 00:55:00.620789 200 345ms
2026-04-07 01:37:45.723967 200 352ms
2026-04-07 01:17:30.126384 200 371ms
2026-04-06 05:15:22.528433 200 398ms
2026-04-06 00:10:58.011529 200 495ms
2026-04-05 03:28:49.554978 200 359ms
2026-04-05 00:50:25.658685 200 362ms
2026-04-04 10:01:43.870995 200 308ms
2026-04-04 10:00:30.084510 200 339ms
2026-03-23 09:27:51.599675 200 292ms
2026-03-23 09:08:36.376282 200 270ms